Loading...
Searching...
No Matches
BamTools::BamIndex Class Referenceabstract

Provides methods for generating & loading BAM index files. More...

`#include <BamIndex.h>`

## Public Types

enum | IndexType { BAMTOOLS = 0 , STANDARD }

## Public Member Functions

| BamIndex (Internal::BamReaderPrivate *reader)
virtual | ~BamIndex ()
virtual bool | Create ()=0
std::string | GetErrorString ()
virtual bool | HasAlignments (const int &referenceID) const =0
virtual bool | Jump (const BamTools::BamRegion &region, bool *hasAlignmentsInRegion)=0
virtual bool | Load (const std::string &filename)=0
virtual BamIndex::IndexType | Type () const =0

## Detailed Description

Provides methods for generating & loading BAM index files.

This class straddles the line between public API and internal implementation detail. Most client code should never have to use this class directly.

It is exposed to the public API to allow advanced users to implement their own custom indexing schemes.

## Member Enumeration Documentation

## IndexType

enum BamTools::BamIndex::IndexType

Enumerator
BAMTOOLS |
STANDARD |

## Constructor & Destructor Documentation

## BamIndex()

BamTools::BamIndex::BamIndex | ( | Internal::BamReaderPrivate * | reader | ) |

inline

## ~BamIndex()

virtual BamTools::BamIndex::~BamIndex | ( |  | ) |

inline virtual

## Member Function Documentation

## Create()

virtual bool BamTools::BamIndex::Create | ( |  | ) |

pure virtual

## GetErrorString()

std::string BamTools::BamIndex::GetErrorString | ( |  | ) |

inline

## HasAlignments()

virtual bool BamTools::BamIndex::HasAlignments | ( | const int & | referenceID | ) | const

pure virtual

## Jump()

virtual bool BamTools::BamIndex::Jump | ( | const BamTools::BamRegion & | region,
|  | bool * | hasAlignmentsInRegion )

pure virtual

## Load()

virtual bool BamTools::BamIndex::Load | ( | const std::string & | filename | ) |

pure virtual

## Type()

virtual BamIndex::IndexType BamTools::BamIndex::Type | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- BamIndex.h